﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class EndCinematic : MonoBehaviour 
{
	public Animator anmEnemy;
	public Move_PLY movement;
	public Transform botonDeRetry;

	void OnTriggerEnter2D (Collider2D other)
	{
		if (other.tag == "Exit") 
		{
			movement.controlDisabled = true;
			movement.rgb.velocity = new Vector2 (0, -5);
			movement.anm.SetFloat ("Side", 0);
			movement.anm.SetFloat ("UpDown", -1);
			StartCoroutine (AnimationPlay ());
		}
	}

	IEnumerator AnimationPlay()
	{
		yield return new WaitForSecondsRealtime (2);
		anmEnemy.SetTrigger ("WakaWaka");
		yield return new WaitForSecondsRealtime (2);
		botonDeRetry.gameObject.SetActive (true);
	}
}
