﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CountdownTimer : MonoBehaviour {

	private float ctStart;
	private int ctDuration;

	public int GetTotalSeconds(){
		return ctDuration;
	}

	public void ResetTimer(int seconds){
		ctStart = Time.time;
		ctDuration = seconds;
	}

	public int GetSecondsRemaning(){
		int elapsedSeconds = (int)(Time.time - ctStart);
		int secondsLeft = (ctDuration - elapsedSeconds);
		return secondsLeft;
	}

	public float GetFractionSecondsRemning(){
		float elapsedSeconds = (Time.time - ctStart);
		float secondsLeft = (ctDuration - elapsedSeconds);
		return secondsLeft;
	}

	public float GetProportionTimeRemaning(){
		float proportionLeft = (float)GetFractionSecondsRemning () / (float)GetTotalSeconds ();
		return proportionLeft;
	}
}
