﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using System;
[RequireComponent(typeof(MenuActions))]
public class GameMaster : MonoBehaviour {

	public float timer;
	public Text textClock;
	private float tDuration;
	private float tStart;

	void Start(){
		CountdownReset(timer);
	}

	void Update(){
		string timerMessage = "You have been disconected...";
		int timeLeft = (int)CountdownRemaning();

		if (timeLeft > 0)
			timerMessage = "Time till u die: " + LeadingZero(timeLeft);
		else if (timeLeft <= 0)
			EndGame();
		textClock.text = timerMessage;
	}

	private void CountdownReset(float delayInSec){
		tDuration = delayInSec;
		tStart = Time.time;
	}

	private float CountdownRemaning(){
		float elapsedSecs = Time.time - tStart;
		float timeLeft = tDuration - elapsedSecs;
		return timeLeft;
	}

	private string LeadingZero(int n){
		return n.ToString ().PadLeft (2, '0');
	}

	void EndGame(){

	}
	/*
	public Canvas canvas;
	public GameObject character;

	void OnTriggerEnter(Collider other)
	{
		if (other.gameObject.tag=="player")
		{
			canvas.GetComponent<CanvasGroup>().alpha = 1;
			character.GetComponent<Character>().AnimStop();
		}
	}*/
}
